Create user game ID mapping
curl --request POST \
--url https://api.16tms.com/api/v1/external/user-game-ids \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"gameId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userGameId": "player123"
}
'import requests
url = "https://api.16tms.com/api/v1/external/user-game-ids"
payload = {
"gameId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"userGameId": "player123"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({gameId: '3fa85f64-5717-4562-b3fc-2c963f66afa6', userGameId: 'player123'})
};
fetch('https://api.16tms.com/api/v1/external/user-game-ids', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "User game ID mapping created successfully",
"data": {
"gameId": "de578779-61ec-4425-8e13-5b61971bd353",
"gameName": "test",
"gameImage": "https://metaninzamedia.blob.core.windows.net/media/games/20260209111206_8be0463e43471d299608f26d92555064.webp",
"coverImage": "",
"userGameId": "lol"
},
"meta": {
"traceId": "00-0b9a33deb55060719389707d91fe66e4-39ac3a60dea035aa-00",
"elapsedMs": 8.5,
"serverTimestamp": "2026-02-09T11:42:53.9323654Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "gameId",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "gameId",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "gameId",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}{
"success": false,
"message": "Invalid API key",
"errors": [
{
"field": "gameId",
"message": "This field is required"
}
],
"meta": {
"traceId": "<string>",
"serverTimestamp": "2023-11-07T05:31:56Z"
}
}API Reference
Create user game ID mapping
Creates a new game ID mapping for a user.
POST
/
external
/
user-game-ids
Create user game ID mapping
Authorizations
API key for authentication. You can generate this from the 16TMS console.
Query Parameters
External user ID to create game ID mapping for
Body
application/json
⌘I